Get Commission Report
curl --request GET \
--url https://confirmation.freelancetravel.com/api/agent/integration/commissionReport \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "2026-02-01",
"endDate": "2026-02-01",
"onlyAvailablePoints": true,
"untilTodayOnly": true
}
'import requests
url = "https://confirmation.freelancetravel.com/api/agent/integration/commissionReport"
payload = {
"startDate": "2026-02-01",
"endDate": "2026-02-01",
"onlyAvailablePoints": True,
"untilTodayOnly": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startDate: '2026-02-01',
endDate: '2026-02-01',
onlyAvailablePoints: true,
untilTodayOnly: true
})
};
fetch('https://confirmation.freelancetravel.com/api/agent/integration/commissionReport', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://confirmation.freelancetravel.com/api/agent/integration/commissionReport",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'startDate' => '2026-02-01',
'endDate' => '2026-02-01',
'onlyAvailablePoints' => true,
'untilTodayOnly' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://confirmation.freelancetravel.com/api/agent/integration/commissionReport"
payload := strings.NewReader("{\n \"startDate\": \"2026-02-01\",\n \"endDate\": \"2026-02-01\",\n \"onlyAvailablePoints\": true,\n \"untilTodayOnly\": true\n}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://confirmation.freelancetravel.com/api/agent/integration/commissionReport")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"startDate\": \"2026-02-01\",\n \"endDate\": \"2026-02-01\",\n \"onlyAvailablePoints\": true,\n \"untilTodayOnly\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://confirmation.freelancetravel.com/api/agent/integration/commissionReport")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"startDate\": \"2026-02-01\",\n \"endDate\": \"2026-02-01\",\n \"onlyAvailablePoints\": true,\n \"untilTodayOnly\": true\n}"
response = http.request(request)
puts response.read_body{"status": "success", "message": "Commission report", "data": [...]}Agent Integration
Get Commission Report
Get commission earnings report for a date range.
GET
/
api
/
agent
/
integration
/
commissionReport
Get Commission Report
curl --request GET \
--url https://confirmation.freelancetravel.com/api/agent/integration/commissionReport \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "2026-02-01",
"endDate": "2026-02-01",
"onlyAvailablePoints": true,
"untilTodayOnly": true
}
'import requests
url = "https://confirmation.freelancetravel.com/api/agent/integration/commissionReport"
payload = {
"startDate": "2026-02-01",
"endDate": "2026-02-01",
"onlyAvailablePoints": True,
"untilTodayOnly": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startDate: '2026-02-01',
endDate: '2026-02-01',
onlyAvailablePoints: true,
untilTodayOnly: true
})
};
fetch('https://confirmation.freelancetravel.com/api/agent/integration/commissionReport', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://confirmation.freelancetravel.com/api/agent/integration/commissionReport",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'startDate' => '2026-02-01',
'endDate' => '2026-02-01',
'onlyAvailablePoints' => true,
'untilTodayOnly' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://confirmation.freelancetravel.com/api/agent/integration/commissionReport"
payload := strings.NewReader("{\n \"startDate\": \"2026-02-01\",\n \"endDate\": \"2026-02-01\",\n \"onlyAvailablePoints\": true,\n \"untilTodayOnly\": true\n}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://confirmation.freelancetravel.com/api/agent/integration/commissionReport")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"startDate\": \"2026-02-01\",\n \"endDate\": \"2026-02-01\",\n \"onlyAvailablePoints\": true,\n \"untilTodayOnly\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://confirmation.freelancetravel.com/api/agent/integration/commissionReport")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"startDate\": \"2026-02-01\",\n \"endDate\": \"2026-02-01\",\n \"onlyAvailablePoints\": true,\n \"untilTodayOnly\": true\n}"
response = http.request(request)
puts response.read_body{"status": "success", "message": "Commission report", "data": [...]}Authorizations
You can retrieve your token by visiting your dashboard and clicking Generate API token.
Query Parameters
Start date (Y-m-d format).
Example:
"2024-01-01"
End date (Y-m-d format).
Example:
"2024-12-31"
Filter to only available points.
Example:
true
Only include up to today.
Example:
false
Body
application/json
Response
200 - text/plain
The response is of type string.
Example:
"{\"status\": \"success\", \"message\": \"Commission report\", \"data\": [...]}"